Task # 2484 (Closed): Python 3 support

WebClient is expected to return either binary string or Unicode
Status: Closed Start date: 11/07/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Input: Web Spider Estimated time: 0.00 hour

Target version: 4.5.8   

Description

Associated revisions

Revision 732 - 11/09/2019 12:59 AM - lmurphey

Moving the content decoding functionality into the web-client

Reference #2501

History

#1 - 11/08/2019 05:32 PM - Luke Murphey

Options:

1. Return binary consistently

2. Return whatever the underlying libs return

3. Return Unicode consistently

4. Return str consistently

#2 - 11/08/2019 05:39 PM - Luke Murphey

Questions:

What do the clients return natively?

MechanizeClient: seems to return binary_string

Should I move the content decoding to the client?

Its in get_result_single() currently

#3 - 11/09/2019 12:38 AM - Luke Murphey

ant test -Dtest=TestWebInput

     [exec] ======================================================================

     [exec] ERROR: test_scrape_page_include_empty_matches (__main__.TestWebInput)

     [exec] ----------------------------------------------------------------------

     [exec] Traceback (most recent call last):

     [exec]   File "/Users/lmurphey/git/splunk-web-input/tests/unit_test_web_server.py", line 89, in _decorato

r

     [exec]     return func(self, *args, **kwargs)

     [exec]   File "unit.py", line 423, in test_scrape_page_include_empty_matches
     [exec]     self.assertEqual(result['match'][0], ',,,Text_1,,Text_2,,,')

     [exec] KeyError: 'match'

     [exec] 

     [exec] ----------------------------------------------------------------------

 Questions:

Is this browser specific?

export TEST_BROWSERS=""; ant test -Dtest=TestWebInput

No

#4 - 11/09/2019 02:41 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
